Redmine - Defect #8801

Redmine API requires a username and password
2011-07-13 14:21 - Luis Serrano Aranda

Status: Closed Start date: 2011-07-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version:

Description

| have Redmine 1.2.1 and | have problems when | try to add a related issue to a issue. When | do Redmine shows a dialog and asks
for username and password, | write them and does not work, the workaround is put in the first login redmine form the option
remember password activated.

Another posibility ?

Thanks

History

#1 - 2011-07-13 14:23 - Luis Serrano Aranda

My system information

About your application's environment

Ruby version 1.8.7 (x86_64-linux)
RubyGems version 1.3.7

Rack version 1.1

Rails version 2.3.11

Active Record version  2.3.11
Active Resource version 2.3.11
Action Mailer version 2.3.11
Active Support version 2.3.11
Edge Rails revision unknown

Application root /var/www/redmine
Environment production
Database adapter mysq|l

Database schema version 20110511000000

About your Redmine plugins

Timesheet Plugin 0.6.0
Redmine Light Box plugin 0.0.1
Redmine Graphs plugin 0.1.0
Budget 0.2.0

Redmine Theme Changer plugin 0.0.2
Redmine My Widgets plugin 0.1.0
Redmine Delete Project plugin 0.0.4
Redmine Stealth plugin 0.1.0
Redmine Drafts plugin 0.1.1

Redmine Better Gantt Chart plugin ~ 0.5.3
Advanced roadmap & milestones plugin 0.5.1

Rate 0.2.1

Image Cache plugin 0.0.1
Redmine Copy Button plugin 0.0.1
Mecalux calendar 1.1.0

Redmine System Notification plugin  0.2.0
Redmine Require Closing Note plugin  0.0.1

Favourites plugin 0.0.1

Blocks Layout plugin 0.0.1
Redmine Issue Control Panel plugin  0.2.0
Projects Tree View plugin 0.0.4
Xapian search plugin 1.1.6
Redmine Logs plugin 0.0.1

Redmine Extended Spent Time plugin  0.0.2
Boards watchers management plugin ~ 0.0.5
Redmine Work Time plugin 0.1.2
Default queries per project plus 0.0.7

Redmine Charts 0.1.0

Redmine Activity Module Plugin 1.0.0
ezFAQ plugin 0.3.5

Extra query operators plugin 0.0.4
Redmine CKEditor plugin 0.0.6-ebrahim
Screenshot Paste 1.1.1

DMSF 1.0.0 dev
Localizable plugin 0.1.1

#2 - 2011-07-15 20:54 - Erik Ordway

I am having a related issue in that trying to add a "related issue" caused the login dialog to pop and even it canceled logs the account out that was
logged in. | am using todays svn and the Idap login for auth.

#3 - 2011-07-15 22:46 - Erik Ordway

It looks like it has something to do with one of these change sets based on the timing.

6184 2011-07-05 18:47 Jean-Philippe Lang Makes relations resource shallow (#7366).
6179 2011-07-04 19:44  Jean-Philippe Lang  Adds support for GET on /issues/:issue_id/relations (#7366).
6176 2011-07-04 19:03 Jean-Philippe Lang Adds REST API for issue relations (#7366).

#4 - 2011-07-18 12:47 - Luis Serrano Aranda

It's true whit this modifications this bug is solved
#5 - 2011-07-18 14:53 - Etienne Massip
Luis Serrano Aranda wrote:

It's true whit this modifications this bug is solved

The 3 modifications listed by Erik solved your issue ??

#6 - 2011-07-18 15:21 - Luis Serrano Aranda

Bad news, this bug is not solved with this modifications
#7 - 2011-07-18 15:35 - Etienne Massip
Luis Serrano Aranda wrote:

Bad news, this bug is not solved with this modifications

Yes these modifications are presumably at the origin of the bug, if ever.

#8 - 2011-07-18 15:41 - Luis Serrano Aranda

| had the error before it is modified

#9 - 2011-07-18 15:51 - Etienne Massip

Did you get the error just after you upgraded your version to 1.2.x ?

#10 - 2011-07-19 08:21 - Luis Serrano Aranda

Yes

#11 - 2011-07-19 10:15 - Etienne Massip

Then maybe you should check that your application.js is up-to-date by clearing your browser cache.
#12 - 2013-01-08 06:46 - Steven Wong

| have the same problem, but not in Redmine.

| installed an plugin, and when | open the page in the plugin, | found this error.

anyone knows why? How to fix it?

Thanks.
#13 - 2013-01-08 06:51 - Toshi MARUYAMA
- Category set to REST API

#14 - 2024-01-31 01:04 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Cant reproduce

| am closing this issue because the same issue has not been reported for many years.
